<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_80453d7bea0ddc48afe3e3c89e0b8" . "aec" => base64_decode("Tm9uLWV4aXN" . "0aW5nIHZhbG" . "lkYXRpb24gb" . "WV0aG9kICc="), "_e608e5b5c4" . "c34a67ba97e" . "f84c1e16199" => base64_decode("J" . "w" . "=" . "="), "_c06c961f39" . "3742ecfd52b" . "72263ac9470" => base64_decode("aW5" . "0dm" . "Fs"), "_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90" => base64_decode(""), "_19d1237a619f7b35ad6dbebf025f" . "17c8" => base64_decode("c3" . "Ry" . "Y2" . "1w"), "_aed8da0f19091214b78f8035" . "1048517c" => base64_decode("c3Ry" . "bGVu"), "_7eacce07e2449116f62c9464710c3" . "7f7" => base64_decode("cmVzZ" . "XQ="), "_6edacb78bd55c5015af27c8ac1" . "fcd9af" => base64_decode("bWV0aG" . "9kX2V4" . "aXN0cw" . "=="));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7eacce07" . "e2449116f" . "62c946471" . "0c37f7"]) != $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_6edacb78bd55c501" . "5af27c8ac1fcd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_80453d7bea0ddc" . "48afe3e3c89e0b8" . "aec"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_e608e5b5c4c34" . "a67ba97ef84c1e" . "16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_aed8da0f19091214b78f8035104851" . "7c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_19d1237a619f7b35ad6dbebf02" . "5f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c06c961f393742ecfd52b72263" . "ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_aed8da0f19091214b" . "78f80351048517c"]($value);
    }
}